/**
 * @desc 表格加载态浮层组件
 * @author 邓欢
 */
import React from 'react';
export default function LoadingOverlay(props) {
    /**
     * 1、加载中蒙层的展示是由ag-grid内部控制的，如果有设置这个属性，在没有传数据时是会自动展示loadingOverlay的，在设置数据（包括空数组）后蒙层消失；
     * 2、表格想通过isLoading来控制蒙层的显示和隐藏可以调用api提供的方法（showLoadingOverlay，hideOverlay），但是这两个方法是会存在延时性的，比如在表格准备就绪后才能调用；
     * 3、最终这里通过isLoading属性来控制loadingOverlay的内容显示，在后面想到更好的办法后进行优化。
     */
    return props.isLoading ? (React.createElement("div", { className: "ag-overlay-loading-center" },
        React.createElement("i", { className: "loading-icon" }),
        React.createElement("span", { className: "loading-desc" }, props.loadingMessage || '加载中...'))) : (React.createElement("div", { className: "ag-overlay-loading-center no-data" },
        React.createElement("i", { className: "no-data-icon" }),
        React.createElement("span", { className: "loading-desc" }, "\u6682\u65E0\u6570\u636E")));
}
